/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.mycompany.mavenproject1;

import java.util.concurrent.TimeUnit;

/**
 *
 * @author caleb
 */
public class LogicalExpression {

    public static void main(String[] args) {
        int x = -10;
        boolean hasCycled = false;
        while (true) {
            //System.out.print(((x > 1) ||  ( x < 100) ) && (x < 0)); //incorrect
            System.out.print("Logical Expression result: ");
            System.out.print(x < 100 && x > 1 || (x < 0)); //correct
            System.out.print(": " + x);

            if (x >= 150 & hasCycled == false) {
                hasCycled = true;
            } else if (x <= -10) {
                hasCycled = false;
            }

            if (hasCycled) {
                System.out.println(" state: currently subtracting 1");
                x--;
            } else {
                System.out.println(" state: currently adding 1");
                x++;
            }

            try {
                TimeUnit.MILLISECONDS.sleep(250); //waits for a specified amount of time
            } catch (Exception e) {
                System.out.print("lol");
            }
        }
    }
}
